Groovy JDK

## javax.swing
Class JTabbedPane

Method Summary
`void` | `clear()` Removes all elements from the JTabbedPane.
`Component` | `getAt(int index)` Support the subscript operator for JTabbedPane.
`Iterator` | `iterator()` Returns an Iterator which traverses the JTabbedPane one Component tab at a time.
`int` | `size()` Provide the standard Groovy `size()` method for `JTabbedPane`.

Method Detail

### clear

    public void clear()

  Removes all elements from the JTabbedPane.

Since:
  1.6.4

### getAt

    public Component getAt(int index)

  Support the subscript operator for JTabbedPane.

Parameters:
  `index` - the index of the tab component to get.

Returns:
  the component at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the JTabbedPane one Component tab at a time.

Returns:
  an Iterator for a JTabbedPane

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `JTabbedPane`.

Returns:
  the tab count of the tabbedPane

Since:
  1.6.4

Groovy JDK